NoClassDefFoundError (Java Platform SE 8 )
Keywords: java.lang.NoClassDefFoundError class
Date: 2026-07-22

compact1, compact2, compact3
java.lang

## Class NoClassDefFoundError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.LinkageError
      - - java.lang.NoClassDefFoundError

- All Implemented Interfaces:
    Serializable

      public class NoClassDefFoundError
      extends LinkageError

  Thrown if the Java Virtual Machine or a `ClassLoader` instance tries to load in the definition of a class (as part of a normal method call or as part of creating a new instance using the `new` expression) and no definition of the class could be found.

  The searched-for class definition existed when the currently executing class was compiled, but the definition can no longer be found.

  Since:
    JDK1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoClassDefFoundError()` Constructs a `NoClassDefFoundError` with no detail message.
    `NoClassDefFoundError(String s)` Constructs a `NoClassDefFoundError` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoClassDefFoundError

          public NoClassDefFoundError()

      Constructs a `NoClassDefFoundError` with no detail message.

    - #### NoClassDefFoundError

          public NoClassDefFoundError(String s)

      Constructs a `NoClassDefFoundError` with the specified detail message.
      Parameters:
        `s` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.